Skip to main content
GET
/
api
/
v1
/
phone-numbers
List your phone numbers
curl --request GET \
  --url https://{subdomain}.mindhunters.ai/api/v1/phone-numbers \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "data": {
    "items": [
      {
        "phone_number_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "number": "+12084439178",
        "country_code": "US",
        "type": "local",
        "is_external": true,
        "status": "active",
        "compliance": {
          "status": "completed",
          "requirements": [
            {}
          ]
        },
        "capabilities": {
          "voice": true,
          "sms": true,
          "mms": true,
          "fax": true,
          "emergency": true,
          "local_calling": true
        },
        "channel_settings": {
          "voice": {
            "enabled": true,
            "channel_limit": 123,
            "whitelisted_destinations": [
              "<string>"
            ]
          },
          "sms": {
            "enabled": true,
            "channel_limit": 123,
            "whitelisted_destinations": [
              "<string>"
            ]
          },
          "inbound": {
            "enabled": true,
            "channel_limit": 123
          }
        },
        "billing": {
          "monthly_fee": 123,
          "currency": "EUR"
        },
        "bindings": {
          "call": {
            "bound": true,
            "agent_uuid": "<string>",
            "agent_name": "<string>"
          },
          "sms": {
            "bound": true,
            "agent_uuid": "<string>",
            "agent_name": "<string>"
          },
          "whatsapp": {
            "bound": true,
            "agent_uuid": "<string>",
            "agent_name": "<string>"
          }
        },
        "purchased_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "current_page": 123,
      "per_page": 123,
      "total": 123,
      "last_page": 123,
      "from": 123,
      "to": 123,
      "has_more": true
    }
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

page
integer
default:1
per_page
integer
default:25
Required range: x <= 100
status
enum<string>
Available options:
active,
pending,
inactive
country_code
string
Example:

"US"

type
enum<string>
Available options:
local,
toll_free,
mobile,
national
compliance
enum<string>
Available options:
completed,
requirement_pending

Free-text search on number or country

bound_to_agent_uuid
string<uuid>

Filter to numbers bound to a specific agent on any channel

sort
enum<string>
default:created_at
Available options:
created_at,
monthly_fee,
number
include_external
enum<string>

If true, also include numbers your agents use that weren't bought through us (e.g. WhatsApp Business lines, manually configured numbers).

Available options:
0,
1,
true,
false

Response

Success

success
boolean
message
string
data
object